const express= require("express");

const {  CakeModel } = require("../models/cakeModel");
const router = express.Router();

// http://localhost:3002/cakes?page=3
router.get("/", async(req,res) => {
  let perPage = 5;
  let page = req.query.page ? req.query.page-1 : 0; 

  try{
    let data = await CakeModel
    .find({})
    .limit(perPage)
    .skip(page * perPage)
    res.json(data);
  }
  catch(err){
    console.log(err);
    res.status(500).json({msg_err:"There problem in server try again later"})
  }
})

module.exports = router;